| Home | Libraries | People | FAQ | More

## Function template one_of_equal

boost::algorithm::one_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/one_of.hpp>

    template<typename Range, typename V>
      bool one_of_equal(const Range & r, const V & val);

## Description

Parameters:

`r` | The input range
`val` | A value to compare against

Returns: | true if the value 'val' exists only once in the range.